• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
My Initial Thoughts on CI4 - a year-end wrap up

#11
Great blog post, very interesting stuff in there. Thank you for all your hard work and efforts on CI4. Personally the release of CI4 is going to be a real highlight for me, and I am really looking forward to it.

Best wishes,

Paul.
Reply

#12
Hi, here is my hello world benchmarks:

Code:
|framework          |requests per second|relative|peak memory|relative|
|-------------------|------------------:|-------:|----------:|-------:|
|ci-3.0             |           1,304.76|     1.0|       0.38|     1.0|
|ci-4.0-dev         |           1,305.80|     1.0|       0.47|     1.2|

In my benchmark environment, CI4 is as fast as CI3.0.3. It is really good starting.

CentOS 6.6 64bit (VM; VirtualBox)
  • PHP 7.0.1 (Remi RPM)
    • Zend OPcache v7.0.6-dev
  • Apache 2.2
P.S. Scalar type declaration 'string' must be unqualified. Not \string, but just string.
Do you want to write tests for your apps? Our book, CodeIgniter Testing Guide would help you.
Reply

#13
it's nice CI4 support only from PHP7

where i can download CodeIgniter 4 ?
Reply

#14
(01-22-2016, 04:13 AM)ivan panfilov Wrote: it's nice CI4 support only from PHP7

where i can download CodeIgniter 4 ?

The future.
Reply

#15
then when?
Reply

#16
(01-22-2016, 06:15 AM)ivan panfilov Wrote: then when?

CodeIgniter 4 is still in early development, and the repository will not be "opened up" until it is more complete. We do not have a target or projected date for that, but it will be announced on the forum once ready. You should continue to use CodeIgniter 3 until Version 4 is released.
Reply

#17
(01-22-2016, 08:39 AM)ciadmin Wrote:
(01-22-2016, 06:15 AM)ivan panfilov Wrote: then when?

You should continue to use CodeIgniter 3 until Version 4 is released.

no way. better i stay away from CI 3
i just looking php framework which not writed for obsolete php version.
Reply

#18
(01-24-2016, 09:17 AM)ivan panfilov Wrote: no way. better i stay away from CI 3
i just looking php framework which not writed for obsolete php version.

CI3 has always worked on PHP7. Just because it doesn't take advantage of the newest features doesn't mean that you can't in your applications. Just like the functions that have existed in PHP since the beginning still work, so does CodeIgniter.
Practical CodeIgniter 3  • CodeIgniter 4 Foundations - Coming Soon • Vulcan - CLI Tools for CI4
Reply

#19
(01-22-2016, 08:39 AM)ciadmin Wrote:
(01-22-2016, 06:15 AM)ivan panfilov Wrote: then when?

CodeIgniter 4 is still in early development, and the repository will not be "opened up" until it is more complete. We do not have a target or projected date for that, but it will be announced on the forum once ready. You should continue to use CodeIgniter 3 until Version 4 is released.

What the reason of hiding it, since CodeIgniter is community-driven?! Huh
Reply

#20
(01-25-2016, 01:28 AM)V I R U S Wrote: What the reason of hiding it, since CodeIgniter is community-driven?!  Huh

Good thought... - The idea is not to show something which is not yet a working framework.
When the 1st alpha is ready (and its real working framework) we will be able to see/touch/use it and to contribute to it if you want.
Best VPS Hosting : Digital Ocean
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


Users browsing this thread:
2 Guest(s)


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2017 MyBB Group.